summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Stefan Bidigaray <teco.sb@gmail.com>2010-05-12 23:30:19 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:30:19 +0200
commitd6d0990b43cef908407a8cd6d6a14459726e96ba (patch)
treed70df931ed2e432d1cfbe37856173130b04dc5ef /libraries
parent3310be787a8a6d1587ddc9de3c4e67bc71c96ce1 (diff)
downloadslackbuilds-d6d0990b43cef908407a8cd6d6a14459726e96ba.tar.gz
slackbuilds-d6d0990b43cef908407a8cd6d6a14459726e96ba.tar.xz
libraries/gnustep-make: Added to 12.2 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/gnustep-make/README5
-rw-r--r--libraries/gnustep-make/doinst.sh15
-rw-r--r--libraries/gnustep-make/gnustep-make.SlackBuild79
-rw-r--r--libraries/gnustep-make/gnustep-make.info8
-rw-r--r--libraries/gnustep-make/slack-desc19
5 files changed, 126 insertions, 0 deletions
diff --git a/libraries/gnustep-make/README b/libraries/gnustep-make/README
new file mode 100644
index 0000000000..696dfda084
--- /dev/null
+++ b/libraries/gnustep-make/README
@@ -0,0 +1,5 @@
+The GNUstep Makefile Package is a configuration system and set of rules that
+makes compilation of GNUstep source as easy as simply listing the files.
+
+Before compiling and/or running any other GNUstep based software, the file
+"/usr/share/GNUstep/Makefiles/GNUstep.sh" should be sourced.
diff --git a/libraries/gnustep-make/doinst.sh b/libraries/gnustep-make/doinst.sh
new file mode 100644
index 0000000000..60f3167d48
--- /dev/null
+++ b/libraries/gnustep-make/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/GNUstep/GNUstep.conf.new
+
diff --git a/libraries/gnustep-make/gnustep-make.SlackBuild b/libraries/gnustep-make/gnustep-make.SlackBuild
new file mode 100644
index 0000000000..ab4d8d8309
--- /dev/null
+++ b/libraries/gnustep-make/gnustep-make.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for GNUstep's make package.
+
+# Written by Stefan Bidigaray
+
+PRGNAM=gnustep-make
+VERSION=2.0.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Optional Parameter
+FS_LAYOUT=${FS_LAYOUT:-fhs-system}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCLAGS" \
+./configure \
+ --enable-strip-makefiles \
+ --with-layout=$FS_LAYOUT
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Put the man pages in the correct place
+mv $PKG/usr/share/man $PKG/usr
+
+# Fixup a few paths in the GNUstep.conf
+sed -i 's|/usr/share/man|/usr/man|g' $PKG/etc/GNUstep/GNUstep.conf
+sed -i 's|/usr/local/share/man|/usr/local/man|g' $PKG/etc/GNUstep/GNUstep.conf
+sed -i 's|/usr/share/info|/usr/info|g' $PKG/etc/GNUstep/GNUstep.conf
+sed -i 's|/usr/local/share/info|/usr/local/info|g' $PKG/etc/GNUstep/GNUstep.conf
+
+# Don't clobber the config file on upgrades
+mv $PKG/etc/GNUstep/GNUstep.conf $PKG/etc/GNUstep/GNUstep.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/gnustep-make/gnustep-make.info b/libraries/gnustep-make/gnustep-make.info
new file mode 100644
index 0000000000..548e0c62db
--- /dev/null
+++ b/libraries/gnustep-make/gnustep-make.info
@@ -0,0 +1,8 @@
+PRGNAM="gnustep-make"
+VERSION="2.0.7"
+HOMEPAGE="http://www.gnustep.org"
+DOWNLOAD="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-make-2.0.7.tar.gz"
+MD5SUM="13bd26f135cbc38a94dfb220e9ffd460"
+MAINTAINER="Stefan Bidigaray"
+EMAIL="teco.sb@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/gnustep-make/slack-desc b/libraries/gnustep-make/slack-desc
new file mode 100644
index 0000000000..eb1d555685
--- /dev/null
+++ b/libraries/gnustep-make/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+gnustep-make: gnustep-make (GNUstep Make package)
+gnustep-make:
+gnustep-make: GNUstep is a cross-platform, object-oriented framework for
+gnustep-make: desktop applicaiton development. It is based on the OPENSTEP
+gnustep-make: specification originally published by NeXT (now Apple).
+gnustep-make: The GNUstep Make package is required in order to build any
+gnustep-make: GNUstep-based software.
+gnustep-make:
+gnustep-make: GNUstep is part of the official GNU project.
+gnustep-make: Homepage: http://www.gnustep.org
+gnustep-make: